Walkthrough/startup for BricsCAD and C#/.NET

Hello everyone!

I've question. I used to work long time with AutoCAD and I have lots of custom modules/addons which I've written myself.

Now I would like to change AC for BricsCAD, but I need to adapt my modules/addons to BricsCAD API.

Is there anywhere some knownledge base/tutorials about creating custom addons in BricsCAD?

The most important think is, that I'm creating all of my stuff in C#, so it would be nice, if I could use it again in BC.

Thanks.

Comments

  • Hello everyone!

    I've question. I used to work long time with AutoCAD and I have lots of custom modules/addons which I've written myself.

    Now I would like to change AC for BricsCAD, but I need to adapt my modules/addons to BricsCAD API.

    Is there anywhere some knownledge base/tutorials about creating custom addons in BricsCAD?

    The most important think is, that I'm creating all of my stuff in C#, so it would be nice, if I could use it again in BC.

    Thanks.


    Here's where you should start: Dev Reference

    You'll need to add the BrxMgd.dll/TD_Mgd.dll/TD_MgdBrep.dll references. 

    Here's a link to some more information regarding developing for Bricscad AND Autocad in the same app/tool.  You can most likely use a lot of your existing Autocad C# code to accomplish the same tasks in Brics with proper use of..."using" directives.   Coding for both at the same time.

    Example:
    using System;
    using System.IO;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Data;
    using System.Drawing;
    using System.Linq;
    using System.Text;
    using System.Threading.Tasks;
    using System.Windows.Forms;
    using System.Net;
    using System.Diagnostics;
    using HASD_CustomSettings;

    #if BCAD
    using AcRx = Bricscad.Runtime;
    using AcTrx = Teigha.Runtime;
    using AcAp = Bricscad.ApplicationServices;
    using AcDb = Teigha.DatabaseServices;
    using AcGe = Teigha.Geometry;
    using AcEd = Bricscad.EditorInput;
    using AcGi = Teigha.GraphicsInterface;
    using AcClr = Teigha.Colors;
    using AcWnd = Bricscad.Windows;
    using AcApP = Bricscad.ApplicationServices.Application;
    #endif

    #if ACAD
    using AcRx = Autodesk.AutoCAD.Runtime;
    using AcTrx = Autodesk.AutoCAD.Runtime;
    using AcAp = Autodesk.AutoCAD.ApplicationServices;
    using AcDb = Autodesk.AutoCAD.DatabaseServices;
    using AcGe = Autodesk.AutoCAD.Geometry;
    using AcEd = Autodesk.AutoCAD.EditorInput;
    using AcGi = Autodesk.AutoCAD.GraphicsInterface;
    using AcClr = Autodesk.AutoCAD.Colors;
    using AcWnd = Autodesk.AutoCAD.Windows;
    using AcApP = Autodesk.AutoCAD.ApplicationServices.Application;
    using AcP = Autodesk.AutoCAD.Interop;
    #endif

  •  Thank you so much for your help :)
This discussion has been closed.